Subject: bug#20272: Support reproducible builds

From: Andy Wingo <[email-masked]>
Date: Mon, 20 Jun 2016 17:46:27 +0200

On Thu 04 Feb 2016 03:41, Mark H Weaver <[email-masked]> writes:

>> Probably, ‘syntax-session-id’ would have to be a SRFI-39 parameter
>
> This might adversely affect the efficiency of our macro expander on
> platforms with slow thread local variables

I think you shouldn't worry about this.  The VM keeps a pointer to the
current thread, and accesses the dynamic state / dynamic stack from
there.  There are no pthread_getkey calls when accessing parameters in
the normal case.

Andy